document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3300 | ---
+++
@@ -3,5 +3,5 @@
export configuration=Release
dotnet restore MartinCostello.BrowserStack.Automate.sln --verbosity minimal || exit 1
-dotnet build MartinCostello.BrowserStack.Automate.sln --output $artifacts --configuration $configuration --framework "netstandard1.3" || exit 1
+dotnet build src/MartinCostel... | bash |
d_bash_3301 | ---
+++
@@ -1,3 +1,4 @@
# Golang
export GOPATH=$HOME/Workspace/golang
export PATH=$PATH:$GOPATH/bin
+export PATH=$PATH:~/.composer/vendor/bin | bash |
d_bash_3302 | ---
+++
@@ -1,9 +1,10 @@
#!/bin/sh
-echo "Downloading node v0.10.36..."
-curl -s -O http://nodejs.org/dist/v0.10.36/node-v0.10.36-darwin-x64.tar.gz
-tar -zxf node-v0.10.36-darwin-x64.tar.gz
-export PATH=$PATH:$PWD/node-v0.10.36-darwin-x64/bin
+echo "Downloading io.js..."
+curl -s -o iojs.tar.gz https://iojs.org/di... | bash |
d_bash_3303 | ---
+++
@@ -3,7 +3,7 @@
export HISTSIZE=32768
export HISTFILESIZE=$HISTSIZE
export HISTIGNORE="ls:l:ll:h:cd:"
-export HISTCONTROL="ignoredups"
+export HISTCONTROL="ignorespace:ignoredups"
shopt -s histappend
export PATH="$PATH:$HOME/bin" | bash |
d_bash_3304 | ---
+++
@@ -18,13 +18,13 @@
# Run the NER server in the background
java -mx1000m -cp "$NER_JAR" edu.stanford.nlp.ie.NERServer \
-loadClassifier "classifiers/english.all.3class.distsim.crf.ser.gz" \
- -port 9000 -outputFormat inlineXML 2> ../../ner-server.log &
+ -port 9000 -outputFormat inlineXML > ../..... | bash |
d_bash_3305 | ---
+++
@@ -9,14 +9,10 @@
# Determines whether the current $USER is in the admin group.
#
function user_is_admin {
- if [[ $(dsmemberutil checkmembership -U "${USER}" -G "admin") == "user is a member of the group" ]]; then
- return true
- else
- return false
- fi
+ [[ $(dsmemberutil checkmembership -U "$... | bash |
d_bash_3306 | ---
+++
@@ -24,9 +24,12 @@
RASTERFILE=/tmp/import_raster_$$.tif
gdalwarp -t_srs EPSG:3857 ${S_SRS} ${INPUTRASTERFILE} ${RASTERFILE} || exit 1
+TILESIZE="128x128"
+
# import raster
set -o pipefail # needed to get an error if raster2pgsql errors out
raster2pgsql \
- -s 3857 -I -C \
+ -s 3857 -I -C -Y \
+ -t ${TI... | bash |
d_bash_3307 | ---
+++
@@ -17,11 +17,11 @@
docker \
firefox \
forklift \
- google-chrome \
iina \
opera \
skype \
transmission \
+ vagrant \
visual-studio-code
mas install \ | bash |
d_bash_3308 | ---
+++
@@ -1,8 +1,38 @@
#!/bin/bash -xue
-sudo add-apt-repository --yes ppa:fkrull/deadsnakes
-sudo apt-get update
-sudo apt-get install --yes python2.6 python2.6-dev
+function install_deb(){
+ sudo aptitude install -y python-dev libffi-dev python-pip
+}
-sudo aptitude install -y python-dev libffi-dev py... | bash |
d_bash_3309 | ---
+++
@@ -1,7 +1,6 @@
#!/bin/bash
# travis-before-install.sh
set -ev
-echo $USER
# Decrypt the private key
openssl aes-256-cbc -K $encrypted_278829cc3907_key -iv $encrypted_278829cc3907_iv -in id_rsa.enc -out ~/.ssh/id_rsa.github -d
@@ -21,6 +20,8 @@
chmod 600 ~/.ssh/config
-sudo cp ~/.ssh/config /root/... | bash |
d_bash_3310 | ---
+++
@@ -11,7 +11,7 @@
if [ ! `which brew` ]; then
echo "==> Installing homebrew..."
- ruby -e "curl -fssl https://raw.github.com/homebrew/homebrew/go/install"
+ ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
if [ ! `which pip` ]; then | bash |
d_bash_3311 | ---
+++
@@ -14,10 +14,11 @@
source /opt/buildhome/python3.7/bin/activate
echo "Install python deps for building comments."
+pip install --upgrade pip
pip install requests pyyaml cryptography langdetect pathlib2
echo "Build static comments if there are any."
-python rebuild_comments.py
+python scripts/rebuild_... | bash |
d_bash_3312 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Make the basic directory structure
-mkdir -p bin doc src src/lib
+mkdir -p bin doc share src
# Get the user directories
cat ~/.config/user-dirs.dirs | while read line; do | bash |
d_bash_3313 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -l
set -eux -o pipefail
-source ../../scripts/start-docker
+source buildpacks-ci/scripts/start-docker
util::docker::cgroups::sanitize
util::docker::start 3 3 "" ""
| bash |
d_bash_3314 | ---
+++
@@ -6,7 +6,7 @@
git_prefix=''
git_suffix=' '
git_prompt_clean=":%{$fg[green]%}✔"
-git_prompt_dirty=":%{$fg[red]%}✘"
+git_prompt_dirty=":"
git_prompt_added="%{$fg[green]%}✝%{$reset_color%}"
git_prompt_modified="%{$fg[yellow]%}⚑%{$reset_color%}"
git_prompt_deleted="%{$fg[red]%}x%{$reset_color%}" | bash |
d_bash_3315 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jdk_x64_linux_hotspot_8u312b07.tar.gz"
;;
java11)
- echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz"
+... | bash |
d_bash_3316 | ---
+++
@@ -9,7 +9,7 @@
# Entries beginning with space aren't added into history, and duplicate
# entries will be erased (leaving the most recent entry).
-export HISTCONTROL="ignorespace:erasedups"
+export HISTCONTROL="ignorespace"
# Common commands are ignored
export HISTIGNORE='ls:bg:fg:history'
# Give histo... | bash |
d_bash_3317 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
IP=`ip route get 8.8.8.8 | awk 'NR==1 {print $NF}'`
-sed -i s/\<your_ip\>/$IP/g $1
+sed -i s/\<host\>/$IP/g $1
| bash |
d_bash_3318 | ---
+++
@@ -1,7 +1,7 @@
mkdir $out
test "$firstOutput $secondOutput" = "$allOutputs"
test "$defaultOutput" = "$firstOutput"
-test "$(cat $first/file)" = "second"
-test "$(cat $second/file)" = "first"
+test "$(cat $firstOutput/file)" = "second"
+test "$(cat $secondOutput/file)" = "first"
echo "success" > $out/fi... | bash |
d_bash_3319 | ---
+++
@@ -6,8 +6,7 @@
defaults write com.apple.screencapture location ${HOME}/Downloads
# Show battery percentage on top menu bar
-defaults write com.apple.menuextra.battery ShowPercent YES
-killall SystemUIServer
+defaults write ~/Library/Preferences/ByHost/com.apple.controlcenter.plist BatteryShowPercentage -... | bash |
d_bash_3320 | ---
+++
@@ -26,3 +26,11 @@
END
done
+
+#log in the frontend and change the shell used by GE from csh to bash
+
+elasticluster ssh $NAME << FRONTEND
+qconf -sq all.q > new_queue_config
+sed -i ’s#csh#/bin/bash#g' new_queue_config
+sudo qconf -Mq new_queue_config
+FRONTEND | bash |
d_bash_3321 | ---
+++
@@ -8,8 +8,14 @@
echo "*" > /var/www/logs/.gitignore
# Set the apache user and group to match the host user.
-OWNER=$(stat -c '%u' /var/www)
-GROUP=$(stat -c '%g' /var/www)
+# Optionally use the HOST_USER env var if provided.
+if [ "$HOST_USER" ]; then
+ OWNER=$(echo $HOST_USER | cut -d: -f1)
+ GROUP=$(... | bash |
d_bash_3322 | ---
+++
@@ -5,11 +5,10 @@
export PATH="$OC_DIR:$PATH"
function runcmd {
- echo ''
- echo "$1 : "
- $1
- echo ''
- echo '#######################################################################'
+ local cmd=$1
+ local logfile=$2
+ echo "$cmd > $logfile"
+ $cmd > $logfile
}
mkdir -p $A... | bash |
d_bash_3323 | ---
+++
@@ -1,2 +1,5 @@
+#
+# Make sure you have a ~/.pypirc file first
+#
python setup.py register -r pypi
python setup.py sdist upload -r pypi | bash |
d_bash_3324 | ---
+++
@@ -23,8 +23,10 @@
fi
echo "Removing Salt packages, except Salt Bundle (venv-salt-minion) ..."
-if [[ "$INSTALLER" == "zypper" ]] || [[ "$INSTALLER" == "dnf" ]] || [[ "$INSTALLER" == "yum" ]]; then
+if [[ "$INSTALLER" == "zypper" ]]; then
zypper -q --non-interactive remove salt salt-minion python3-salt p... | bash |
d_bash_3325 | ---
+++
@@ -11,5 +11,5 @@
cd phpunit
git checkout 24b6cfcec34c1167 # release 8.2.2
composer install
-~/project/build/psalm.phar --config=.psalm/config.xml --monochrome
+~/project/build/psalm.phar --config=.psalm/config.xml --monochrome --show-info=false
~/project/build/psalm.phar --config=.psalm/static-analysis.x... | bash |
d_bash_3326 | ---
+++
@@ -5,6 +5,7 @@
basedir=$(dirname $0)
reinit_flag=$basedir/reinit
PATH+=:~/.local/bin
+PIP=${PIP:-pip3}
command_available() {
local cmd=$1
@@ -18,7 +19,7 @@
# ensure pipenv available
if ! command_available pipenv >/dev/null; then
echo "installing 'pipenv'"
- pip3 install --user pipenv
+ $PIP i... | bash |
d_bash_3327 | ---
+++
@@ -5,19 +5,26 @@
return
fi
- if stop travis-worker ; then
+ stop travis-worker
+ exit_code="$?"
+
+ if [ $exit_code -eq 0 ] ; then
return
fi
- echo "Failed to stop travis-worker (exit $?)"
+ echo "Failed to stop travis-worker (exit $exit_code)"
echo 'Sending SIGKILL'
+
killall... | bash |
d_bash_3328 | ---
+++
@@ -14,6 +14,7 @@
case "$TRAVIS_OS_NAME" in
osx)
+ brew update
brew install cmake mbedtls python3
python3 -m pip install cryptography sphinx sphinx_rtd_theme
| bash |
d_bash_3329 | ---
+++
@@ -2,4 +2,4 @@
version=$(cat manifest.json | awk '/"version"/ { gsub(/[",]/,""); print $2 }')
zip -r scumdar-$version.zip . -x chrome-release.sh .git/\* README.md
-git tag scumdar-$version
+git tag -a v$version -m "version $version" | bash |
d_bash_3330 | ---
+++
@@ -30,5 +30,5 @@
_git_cl () {
__git_cl_compute_all_commands
- __gitcomp_nl "$(__git_cl_commands)"
+ __gitcomp_nl "$(__git_cl_all_commands)"
} | bash |
d_bash_3331 | ---
+++
@@ -11,13 +11,16 @@
echo "Maven cleanup (remove files from local repo)..."
echo " in local repo..."
- rm -r /Users/nicolas/.m2/repository/com/vidal/**/*installer
- rm -r /Users/nicolas/.m2/repository/com/vidal/merlin/vxp-indexer
- rm -r /Users/nicolas/.m2/repository/com/vidal/merlin/native
- rm -... | bash |
d_bash_3332 | ---
+++
@@ -7,7 +7,8 @@
source $gtmprofilefile
export gtmgbldir=$VistADir/database
export gtmroutines="$VistADir/o($VistADir/r) $gtm_dist/libgtmutil.so"
+mkdir -p $DashboardsDir/Logs
$HOME/local/bin/ctest \
-S $HOME/OSEHRA/VistA-installation-scripts/Scripts/setupTestingDashboardBuild.cmake \
--VV > OSEHRA/Logs/b... | bash |
d_bash_3333 | ---
+++
@@ -10,7 +10,7 @@
touch "$ANDROID_SDK/licenses/android-sdk-license"
echo -e "\n8933bad161af4178b1185d1a37fbf41ea5269c55" > "$ANDROID_SDK/licenses/android-sdk-license"
echo y | sdkmanager --verbose "system-images;android-25;google_apis;x86"
- echo "no" | android create avd -n test --sdcard 51... | bash |
d_bash_3334 | ---
+++
@@ -1 +1 @@
-docker run -P -v `pwd`:/home/dealii/app:rw dealii/dealii /bin/sh -c "$@"
+docker run -u root -P -v `pwd`:/home/dealii/app:rw dealii/dealii /bin/sh -c "$@" | bash |
d_bash_3335 | ---
+++
@@ -6,12 +6,14 @@
tag=$(cat blob/tag)
git clone "https://github.com/cloudfoundry/$LANGUAGE-buildpack.git" source
-cd source
-git checkout "$tag"
-git submodule update --init --recursive
-BUNDLE_GEMFILE=cf.Gemfile bundle
-BUNDLE_GEMFILE=cf.Gemfile bundle exec buildpack-packager --cached
+pushd source
+ ... | bash |
d_bash_3336 | ---
+++
@@ -1,3 +1,3 @@
dnsmasq -s dev.net.local --strict-order --bind-interfaces --pid-file=/var/run/dnsmasq-mgmt.pid --except-interface lo --interface mgmt_br --listen-address 192.168.5.1 --dhcp-range 192.168.5.100,192.168.5.254 --dhcp-lease-max=155 --dhcp-no-override --dhcp-leasefile=/var/cache/dnsmasq-mgmt.lease... | bash |
d_bash_3337 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
function usage {
- echo "usage: $0 [-p prefix] [-s suffix] [-f input.txt] -u URL"
+ echo "usage: $0 [-c cookie] [-p prefix] [-s suffix] [-f input.txt] -u URL"
echo "eg : $0 -p \"../../../../\" -s \"\" -u \"http://vulnsite.com/test.php?page=\""
}
@@ -15,9 +15,1... | bash |
d_bash_3338 | ---
+++
@@ -3,7 +3,7 @@
sudo apt-get -qq update &&
sudo apt-get -qq install gettext xorg-dev libx11-xcb-dev libxcb-util0-dev
-wget --quiet -O boost_1_57_0.tar.gz http://sourceforge.net/projects/boost/files/boost/1.57.0/boost_1_57_0.tar.gz/download
+wget --quiet -O boost_1_57_0.tar.gz http://downloads.sourceforge.... | bash |
d_bash_3339 | ---
+++
@@ -2,6 +2,14 @@
source .travis/common.sh
set -e
+
+$SPACER
+
+start_section "conda.copy" "${GREEN}Copying package...${NC}"
+mkdir -p /tmp/conda
+cp -avR $PACKAGE /tmp/conda/
+cd /tmp/conda/
+end_section "conda.copy"
$SPACER
| bash |
d_bash_3340 | ---
+++
@@ -1,10 +1,35 @@
#!/bin/bash
+
+# Main repo hook file
REPO_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/../"
hookfile="$REPO_DIR/.git/hooks/pre-commit"
if [[ -f $hookfile ]]; then
echo "'$hookfile' already exists - aborting" 1>&2
+else
+ echo '#!/bin/bash
+ patch=$(git clang-form... | bash |
d_bash_3341 | ---
+++
@@ -15,7 +15,7 @@
export GITHUB_OAUTH_CONSUMER_KEY='Not set'
export GITHUB_OAUTH_CONSUMER_SECRET='Not set'
-
+export KEYCLOAK_URL='https://sso.openshift.io'
export FLASK_APP_SECRET_KEY='Not set'
#AWS RDS configuration variables are use to provision RDS instance | bash |
d_bash_3342 | ---
+++
@@ -15,7 +15,7 @@
pkg_build_deps=(
core/make
core/which
- core/go/1.8
+ core/go
core/gcc
core/cmake
core/autoconf | bash |
d_bash_3343 | ---
+++
@@ -10,3 +10,5 @@
#echo "------- DL completion --------"
#gcompletion
+
+source ~/.bash_profile | bash |
d_bash_3344 | ---
+++
@@ -15,9 +15,8 @@
then
# delete folder
hdfs dfs -rm -r "$uploadpath"
- else
- hdfs dfs -mkdir "$uploadpath"
fi
+ hdfs dfs -mkdir "$uploadpath"
# puts files there
hadoop fs -put ./*.xml.gz "$uploadpath"/ | bash |
d_bash_3345 | ---
+++
@@ -1,3 +1,3 @@
wget -q -O ../resin/webapps/ROOT/meta/freeciv_org_metaserver.tmp http://meta.freeciv.org/
sed -i.bak s,/index.php,http://meta.freeciv.org/index.php,g ../resin/webapps/ROOT/meta/freeciv_org_metaserver.tmp
-tail -n+41 ../resin/webapps/ROOT/meta/freeciv_org_metaserver.tmp > ../resin/webapps/ROO... | bash |
d_bash_3346 | ---
+++
@@ -16,9 +16,9 @@
fi
# export grep settings
-export GREP_OPTIONS="$GREP_OPTIONS"
-export GREP_COLOR='1;32'
+alias grep="grep $GREP_OPTIONS"
# clean up
+unset GREP_OPTIONS
unset VCS_FOLDERS
unfunction grep-flag-available | bash |
d_bash_3347 | ---
+++
@@ -15,4 +15,7 @@
run_measure "Without any agent"
run_measure "With bare agent" --std-agent-bare
run_measure "With agent, without measuring" --std-agent=no-measuring
-run_measure "With agent, with measuring" --std-agent
+run_measure "With agent, with measuring (unobtrusive)" "--std-agent=,skip.factor=1000"... | bash |
d_bash_3348 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/bash
( set -xe;
- docker run --rm -ti -u "${UID}" -v "${TRAVIS_BUILD_DIR}":/tmp/roc -w /tmp/roc "$@" )
+ docker run --rm -ti -u "${UID}" -v "${TRAVIS_BUILD_DIR}":/opt/roc -w /opt/roc "$@" )
error=$?
if [ $error = 0 ]
then | bash |
d_bash_3349 | ---
+++
@@ -27,4 +27,4 @@
echo Previous signatures are now removed from the APK
#TODO is this needed?
#Delete previous signatures
-zipalign -v 4 $7 $7
+zipalign -v 4 ${11} ${11} | bash |
d_bash_3350 | ---
+++
@@ -7,9 +7,7 @@
select(.major >= 2 and .minor >= 4)] |
sort_by([.major, .minor, .v]) |
.[].v' |
- grep -v '2.4.0-rc' |
-# TODO: https://github.com/danielnorberg/auto-matter/issues/31
- grep -v '2.7.')
+ grep -v '2.4.0-rc')
... | bash |
d_bash_3351 | ---
+++
@@ -1,5 +1,9 @@
# ensure dotfiles bin directory is loaded first
PATH="$HOME/.bin:/usr/local/sbin:$PATH"
+
+# Go
+export GOPATH=$HOME/go
+PATH="$GOPATH/bin:$PATH"
# Load ASDF
if [ -f "$HOME/.asdf/asdf.sh" ]; then | bash |
d_bash_3352 | ---
+++
@@ -1,5 +1,4 @@
#!/bin/bash
-
sudo apt-get -y remove memcached
sudo apt-get install libevent-dev
@@ -9,3 +8,4 @@
cd memcached-1.5.22
./configure --enable-sasl
make
+sudo mv memcached /usr/local/bin/ | bash |
d_bash_3353 | ---
+++
@@ -5,6 +5,9 @@
rm -rf VBoxGuestAdditions_*.iso VBoxGuestAdditions_*.iso.?
rm -f /tmp/chef*rpm
+# Remove EPEL remove if it exists
+yum -y remove epel-release
+
# clean up redhat interface persistence
rm -f /etc/udev/rules.d/70-persistent-net.rules
if [ -r /etc/sysconfig/network-scripts/ifcfg-eth0 ]; th... | bash |
d_bash_3354 | ---
+++
@@ -1,6 +1,6 @@
K8S_PREFIX="kubernetesonarm"
-# Todo: make this dynamic
-IMAGES=("$K8S_PREFIX/flannel $K8S_PREFIX/etcd $K8S_PREFIX/hyperkube $K8S_PREFIX/pause $K8S_PREFIX/skydns $K8S_PREFIX/kube2sky $K8S_PREFIX/exechealthz $K8S_PREFIX/registry $K8S_PREFIX/loadbalancer $K8S_PREFIX/heapster")
+
+IMAGES=($(dock... | bash |
d_bash_3355 | ---
+++
@@ -8,3 +8,7 @@
; ( $i.path | split("/") ) as $p | setpath($p; getpath($p) + $i)
)
'
+
+find build/.cache/metadata -iname '*.meta.json' \
+ | xargs jq '{(input_filename | rtrimstr(".meta.json")):.}' \
+ | jq --slurp 'reduce .[] as $i ({}; . + $i)' | bash |
d_bash_3356 | ---
+++
@@ -26,5 +26,11 @@
cp "$i" ${DIR}/usr/lib/
done
+# We copy the C.UTF8 locale and call it en_US. Its a bit of a lie, but
+# the real en_US locale is often not available, because its in the
+# local archive.
+mkdir -p ${DIR}/usr/lib/locale/
+cp -r /usr/lib/locale/C.* ${DIR}/usr/lib/locale/en_US
+
flatp... | bash |
d_bash_3357 | ---
+++
@@ -6,6 +6,7 @@
if [ "$TRAVIS_BRANCH" = "master" ]; then
echo "Starting to upload..."
- lftp -c "open -u livesplit@livesplit.org,$FTP_PASS ftp://livesplit.org; mirror -R -i .*$ '_site/' ."
+ cd _site
+ find . -type f -exec curl -u livesplit@livesplit.org:$FTP_PASS --ftp-create-dirs -T {} ftp://livesplit.... | bash |
d_bash_3358 | ---
+++
@@ -17,10 +17,13 @@
# just run it and it should transfer the lib to jenkins staging.
: "${JENKINS_SERVER:=jenkins-staging}"
-: "${JENKINS_ZONE:=europe-west1-d}"
+: "${JENKINS_ZONE:=europe-west2-a}"
: "${IMAGE_NAME:=gcr.io/bazel-public/jenkins-master-staging}"
cd "$(dirname "$0")"
-gcloud compute copy-... | bash |
d_bash_3359 | ---
+++
@@ -4,11 +4,11 @@
postgres)
chown -R postgres:postgres /data
shift
- sudo -u postgres -H EXTERNAL_IP=$EXTERNAL_IP PORT=$PORT DISCOVERD=$DISCOVERD /bin/flynn-postgres $*
+ exec sudo -u postgres -H EXTERNAL_IP=$EXTERNAL_IP PORT=$PORT DISCOVERD=$DISCOVERD /bin/flynn-postgres $*
;;
api)... | bash |
d_bash_3360 | ---
+++
@@ -14,7 +14,7 @@
cd gh-pages
git rm -rf ./
- cp -Rf $HOME/scaladoc-latest ./
+ cp -Rf $HOME/scaladoc-latest/ ./
git add -f .
git commit -m "Latest scaladoc on successful travis build $TRAVIS_BUILD_NUMBER auto-pushed to gh-pages"
git push -fq origin gh-pages > /dev/null | bash |
d_bash_3361 | ---
+++
@@ -10,10 +10,10 @@
var types = map [string] map [string] string {
EOF
-
+CDIR=`pwd`
for dir in $@
do
- pushd "$dir" > /dev/null
+ cd "$dir"
echo -e "\t\"`basename $dir`\": {"
echo -e "\t\"`basename $dir`\": {" >> $type_file
@@ -30,7 +30,7 @@
done
echo -e "\t}," >> $type_file
echo -e ... | bash |
d_bash_3362 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
-python ../rst2pdf/createpdf.py manual.txt -o manual.pdf -s manual.style -b1
+../bin/rst2pdf manual.txt -o manual.pdf -s manual.style -b1
rst2man rst2pdf.txt rst2pdf.1 | bash |
d_bash_3363 | ---
+++
@@ -5,7 +5,14 @@
}
function install_nano_syntax_highlighting() {
- if ! which nano > /dev/null; then pretty_print "❗️ nano not found in PATH"; fi
+ if ! which nano > /dev/null; then
+ pretty_print "❗️ nano not found in PATH"
+ exit 1
+ fi
+ if ! which wget > /dev/null; then
+ pretty_print "❗️... | bash |
d_bash_3364 | ---
+++
@@ -4,12 +4,16 @@
pkill node
if [ "$1" == "perf" ]; then
- node --perf_basic_prof bin/www >/dev/null &
+ FLAGS="--perf_basic_prof"
elif [ "$1" == "prof" ]; then
- node --prof bin/www >/dev/null &
+ FLAGS="--prof"
+elif [ "$1" == "core" ]; then
+ FLAGS="--abort-on-uncaught-exception"
else
- node bi... | bash |
d_bash_3365 | ---
+++
@@ -4,7 +4,16 @@
if conda --version >/dev/null 2>&1
then
- conda install astropy mock numpy sphinx pytz lxml html5lib beautifulsoup4
+ conda install \
+ astropy=3.0.1 \
+ mock=2.0.0 \
+ numpy=1.14.2 \
+ sphinx=1.7.2 \
+ pytz \
+ lxml=4.2.1 \
+ ... | bash |
d_bash_3366 | ---
+++
@@ -19,7 +19,7 @@
alias bigs='du -hs * | gsort -hr'
fi
-alias json='python -m json.tool'
+alias json='python3 -m json.tool'
alias js=json
alias x=xargs
alias bash='PS1="in $(pwd) › " bash' | bash |
d_bash_3367 | ---
+++
@@ -7,4 +7,4 @@
mkdir backupdir -p
mkdir ~/.config/nvim/ -p 2>/dev/null
-cp nvim.conf ~/.config/nvim/init.vim
+ln -s $PWD/vim/nvim.conf ~/.config/nvim/init.vim | bash |
d_bash_3368 | ---
+++
@@ -10,4 +10,10 @@
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim
+cd ~/
+if [ ! -d "~/dotfiles" ]; then
+ git clone https://github.com/FernandoDoming/dotfiles.git
+fi
+cp ./dotfiles/vim/.vimrc ~/
+
vim -c "VundleInstall" | bash |
d_bash_3369 | ---
+++
@@ -4,6 +4,10 @@
return
fi
+if [[ -e /usr/local/share/zsh-completions ]]; then
+ fpath=(/usr/local/share/zsh-completions $fpath)
+fi
+
alias ls="ls -GF"
prepend-path /usr/local/bin
prepend-path /usr/sbin | bash |
d_bash_3370 | ---
+++
@@ -23,6 +23,9 @@
# PHP/Laravel
export PATH="$PATH:$HOME/.composer/vendor/bin"
+# GPG
+export GPG_TTY=$(tty)
+
# Language
export LC_COLLATE=en_US.UTF-8
export LC_CTYPE=en_US.UTF-8 | bash |
d_bash_3371 | ---
+++
@@ -1,6 +1,7 @@
#!bin/sh
set -e
+echo "Starting container ..."
if [ -n "${NFS_TARGET}" ]; then
echo "Mounting NFS based on NFS_TARGET"
@@ -15,6 +16,12 @@
echo "Setup backup cron job with cron expression: ${BACKUP_CRON}"
echo "${BACKUP_CRON} /bin/backup >> /var/log/cron.log 2>&1" > /var/spool/cro... | bash |
d_bash_3372 | ---
+++
@@ -6,11 +6,15 @@
}
#echo "configure export plugin for ZSH"
+jenv_emulate=`emulate`
+emulate zsh
+
typeset -ag chpwd_functions
if [[ -z $chpwd_functions[(r)_jenv_export_hook] ]]; then
chpwd_functions+=_jenv_export_hook;
fi
+emulate $jenv_emulate
#export
| bash |
d_bash_3373 | ---
+++
@@ -38,7 +38,7 @@
dhcpdump \
tmpreaper
-echo 'SHOW_WARNING=false' >> /etc/tmpreaper.conf
+echo 'SHOW_WARNING=true' >> /etc/tmpreaper.conf
echo 'TMPREAPER_TIME=1d' >> /etc/tmpreaper.conf
pip install awscli | bash |
d_bash_3374 | ---
+++
@@ -7,6 +7,7 @@
cd python
echo `python --version`
+pip freeze
# Run unit tests
cd biotool | bash |
d_bash_3375 | ---
+++
@@ -31,4 +31,4 @@
#do something about initialising the config
/usr/sbin/freeradius -f -X -C
-return $?
+exit $? | bash |
d_bash_3376 | ---
+++
@@ -20,7 +20,8 @@
spa.eha.io
)
-#Remove local orphans on jenkins itself
+#Remove stopped containers and local orphans on jenkins itself
+docker ps -a|egrep "Exited|Created"|awk '{print $1}'|xargs docker rm -f
$remove_orphans
#SSH to each machine, and clean up | bash |
d_bash_3377 | ---
+++
@@ -35,7 +35,3 @@
install_cask betterzipql
install_cask suspicious-package
qlmanage -r
-
-echo "Installing additional plugins..."
-
-install_cask colorpicker-hex | bash |
d_bash_3378 | ---
+++
@@ -1,7 +1,7 @@
getHosts() {
hostnames=$(vagrant ssh -c "/usr/sbin/apache2ctl -S 2>&1 | awk '/namevhost/' | awk '{print \$4;}'")
aliases=$(vagrant ssh -c "/usr/sbin/apache2ctl -S 2>&1 | awk '/alias/' | awk '{print \$2;}'")
- echo "$hostnames$aliases"
+ printf "$hostnames\n$aliases"
}
getIp() { | bash |
d_bash_3379 | ---
+++
@@ -41,4 +41,4 @@
export PYCURL_SETUP_OPTIONS=--avoid-stdio
fi
-make test
+make test docs | bash |
d_bash_3380 | ---
+++
@@ -21,7 +21,7 @@
if [ ! "${JENKINS_HOME}" = '' ]
then
# Change "in-container" mount path to host mount path
- sed -i -e "s|- \./|- ${HOST_DATADIR}jobs/${JOB_NAME}/workspace/docker/twine/|" "${INTEGRATION}"
+ sed -i -e "s|- \./|- ${HOST_DATADIR}jobs/${JOB_NAME}/workspace/t... | bash |
d_bash_3381 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u292b10.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.10%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.10_9.t... | bash |
d_bash_3382 | ---
+++
@@ -1 +1,7 @@
eval "$(npm completion 2>/dev/null)"
+
+# Install and save to dependencies
+alias npms="npm i -S "
+
+# Install and save to dev-dependencies
+alias npmd="npm i -D " | bash |
d_bash_3383 | ---
+++
@@ -1,8 +1,8 @@
# App store {{{
-mas install 918858936 # Airmail 3 (3.2.1)
+brew install mas
+mas install 918858936 # Airmail 3
mas install 413857545 # Divvy (1.5)
-mas install 957734279 # Toggl Desktop
mas install 409789998 # Twitter
mas install 414030210 # LimeChat
mas install 443987910 # 1Password -... | bash |
d_bash_3384 | ---
+++
@@ -26,12 +26,12 @@
git clone git@github.com:Ocramius/ProxyManager.git
cd ProxyManager
composer install
-~/project/build/psalm.phar --monochrome
+~/project/psalm --monochrome
cd /tmp/testing-with-real-projects
git clone git@github.com:roave/you-are-using-it-wrong.git
cd you-are-using-it-wrong
compo... | bash |
d_bash_3385 | ---
+++
@@ -18,4 +18,4 @@
# $ phpcs --config-set installed_paths ~/.composer/vendor/drupal/coder/coder_sniffer
##
-alias phpcsd='phpcs --standard=Drupal -p --colors --ignore=*.features.*,*.field_group.inc,*.strongarm.inc,*.ds.inc,*.context.inc,*.views_default.inc,*.file_default_displays.inc,*.facetapi_defaults... | bash |
d_bash_3386 | ---
+++
@@ -4,4 +4,4 @@
BUCKET=pumpedassets
DIR=assets
-aws s3 sync $DIR s3://$BUCKET/static/
+aws s3 sync $DIR s3://$BUCKET/static/ --delete --acl public-read | bash |
d_bash_3387 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/sh
set -e
+
+if [ ! -e /usr/bin/gcc ]; then
+ sudo apt-get -y install gcc
+fi
if [ ! -e /usr/bin/go ]; then
sudo apt-get -y install golang
@@ -15,7 +19,8 @@
git clone https://go.googlesource.com/go ~/src/go
fi
cd ~/src/go
- git checkout go1.11.4
+ latest=$(git descri... | bash |
d_bash_3388 | ---
+++
@@ -2,6 +2,13 @@
mkdir build
cd build
+
+# Openmpi Specific environment setup - Cf. https://github.com/conda-forge/libnetcdf-feedstock/pull/80
+export OMPI_MCA_btl=self,tcp
+export OMPI_MCA_plm=isolated
+export OMPI_MCA_rmaps_base_oversubscribe=yes
+export OMPI_MCA_btl_vader_single_copy_mechanism=none
+mp... | bash |
d_bash_3389 | ---
+++
@@ -33,8 +33,8 @@
# Move the runsc binary into "latest" directory, and also a directory with the
# current date.
-latest_dir="${KOKORO_ARTIFACTS_DIR}"/nightly/latest
-today_dir="${KOKORO_ARTIFACTS_DIR}"/nightly/"$(date -Idate)"
+latest_dir="${KOKORO_ARTIFACTS_DIR}"/latest
+today_dir="${KOKORO_ARTIFACTS_DI... | bash |
d_bash_3390 | ---
+++
@@ -10,13 +10,10 @@
cd $WORKSPACE/sasview-install
export SASVIEWMODULE=`echo sasview-*`
-ln -s $SASVIEWMODULE forpylint.egg
export PYTHONPATH=$PYTHONPATH:$WORKSPACE/sasview-install:$WORKSPACE/utils
cd $WORKSPACE
rm -f test/*.txt
-$PYLINT --rcfile $WORKSPACE/build_tools/pylint.rc -f parseable sasv... | bash |
d_bash_3391 | ---
+++
@@ -2,6 +2,6 @@
# Must be run as root
cd /usr/share/geni-ch/portal/gcf
pkill -f -u root "python .*gcf-pgch"
-python ./src/gcf-pgch.py -c gcf.ini >/var/log/gcf-pgch.log 2>&1 &
+python ./src/gcf-pgch.py -c /usr/share/geni-ch/portal/gcf.d/gcf.ini >/var/log/gcf-pgch.log 2>&1 &
| bash |
d_bash_3392 | ---
+++
@@ -1,7 +1,6 @@
test::php::ltrim() {
EXPECT_EQ 'abc def ' "$(php::ltrim ' abc def '; echo)"
- EXPECT_EQ $'abc def\n' "$(php::ltrim $' abc def\n'; echo)"
- EXPECT_EQ 'abc def ' "$(php::ltrim $'\t\n\r \t\n\rabc def ')"
+ EXPECT_EQ 'abc def ' "$(php::ltrim $'\t\n\r \t\n\rabc def '; echo)"
EXPEC... | bash |
d_bash_3393 | ---
+++
@@ -3,32 +3,20 @@
source $SOURCE_PATH/tests/common.sh
-echo "======================================================="
-echo "Setup SoftHSM"
-echo "======================================================="
-if [[ ! -f $P11LIB ]]; then
- echo "WARNINIG: The SoftHSM is not installed. Can not run this test... | bash |
d_bash_3394 | ---
+++
@@ -15,10 +15,13 @@
# Validate new version
HOOK_DIR=${BASE_PROJECT}/.git/hooks
+echo $HOOK_DIR
if [ "$(diff "${BASE_PROJECT}/scripts/hook-pre-commit.sh" "${HOOK_DIR}/pre-commit" | wc -l)" -ne 0 ]; then
log_failure "use current version of scripts\nPlease run './scripts/workflow.sh' setup again !"
ex... | bash |
d_bash_3395 | ---
+++
@@ -22,9 +22,9 @@
importdb () {
if $GZIPPED; then
- gunzip < "$db" | mysql -h$DBHOST -u$DBUSER -p$DBPASS "$2" < "$3"
+ gunzip < "$2" | mysql -h$DBHOST -u$DBUSER -p$DBPASS "$1" < "$2"
else
- mysql -h$DBHOST -u$DBUSER -p$DBPASS "$2" < "$3"
+ mysql -h$DBHOST -u$DBUSER -p$DBPASS "$1" < "$2"
... | bash |
d_bash_3396 | ---
+++
@@ -5,6 +5,9 @@
set -e
set -x
-sudo easy_install-pypy pip
-sudo pip install -U kegberry
+export PATH="$PATH:/usr/lib/pypy-upstream/bin"
+
+sudo PATH=$PATH easy_install-pypy pip
+sudo PATH=$PATH pip install -U kegberry
kegberry install
+ | bash |
d_bash_3397 | ---
+++
@@ -21,7 +21,9 @@
echo 'root' | vault login -
+set +o pipefail
rm /tmp/vault-plugins/$PLUGIN_NAME || true
+set -o pipefail
go build -o /tmp/vault-plugins/$PLUGIN_NAME src/plugin/vault/main.go
# Clean up from last run | bash |
d_bash_3398 | ---
+++
@@ -3,10 +3,10 @@
set -ex
# Pushing to Docker Hub requires login
-DOCKER_IMAGE=${DOCKER_IMAGE:-bosh/micro}
+#DOCKER_IMAGE=${DOCKER_IMAGE:-bosh/micro}
# To push to the Pivotal GoCD Docker Registry (behind firewall):
-# DOCKER_IMAGE=docker.gocd.cf-app.com:5000/bosh-micro-container
+DOCKER_IMAGE=docker.go... | bash |
d_bash_3399 | ---
+++
@@ -17,7 +17,7 @@
PACKAGES="$PACKAGES make"
fi
if [[ -n $PACKAGES ]]; then
- sudo apt-get -q --assume-yes install virtualenv
+ sudo apt-get -q --assume-yes install $PACKAGES
fi
# Check for bindep | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.